Update Appointment Outcome
curl --request PUT \
--url https://crm.universal.rollout.com/api/appointment-outcomes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"name": "<string>",
"orderWeight": 123
}
'import requests
url = "https://crm.universal.rollout.com/api/appointment-outcomes/{id}"
payload = {
"name": "<string>",
"orderWeight": 123
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', orderWeight: 123})
};
fetch('https://crm.universal.rollout.com/api/appointment-outcomes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.universal.rollout.com/api/appointment-outcomes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'orderWeight' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm.universal.rollout.com/api/appointment-outcomes/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"orderWeight\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://crm.universal.rollout.com/api/appointment-outcomes/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"orderWeight\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.universal.rollout.com/api/appointment-outcomes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"orderWeight\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"orderWeight": 123,
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "Data for this credential is not ready yet. Please try again."
}{
"errors": [
{
"message": "<string>"
}
]
}Appointment Outcomes
Update Appointment Outcome
PUT
/
appointment-outcomes
/
{id}
Update Appointment Outcome
curl --request PUT \
--url https://crm.universal.rollout.com/api/appointment-outcomes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"name": "<string>",
"orderWeight": 123
}
'import requests
url = "https://crm.universal.rollout.com/api/appointment-outcomes/{id}"
payload = {
"name": "<string>",
"orderWeight": 123
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', orderWeight: 123})
};
fetch('https://crm.universal.rollout.com/api/appointment-outcomes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.universal.rollout.com/api/appointment-outcomes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'orderWeight' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm.universal.rollout.com/api/appointment-outcomes/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"orderWeight\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://crm.universal.rollout.com/api/appointment-outcomes/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"orderWeight\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.universal.rollout.com/api/appointment-outcomes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"orderWeight\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"orderWeight": 123,
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "Data for this credential is not ready yet. Please try again."
}{
"errors": [
{
"message": "<string>"
}
]
}Authorizations
Consumer JWT minted by the tenant's backend
The Rollout Credential ID to use for queries/mutations
Path Parameters
Query Parameters
Comma-separated top-level fields to return; the parameter can also be repeated, once per field. id is always returned. Omit it, or pass allFields, to get every field, including original. Unknown names return 400.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Response for status 200
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes